# matched [![NPM version](https://img.shields.io/npm/v/matched.svg)](https://www.npmjs.com/package/matched) [![Build Status](https://img.shields.io/travis/jonschlinkert/matched.svg)](https://travis-ci.org/jonschlinkert/matched)

> Adds array support to node-glob, sync and async. Also supports tilde expansion (user home) and resolving to global npm modules.

- [Usage](#usage)
- [Release history](#release-history)
- [Related projects](#related-projects)
- [Running tests](#running-tests)
- [Contributing](#contributing)
- [Author](#author)
- [License](#license)

_(TOC generated by [verb](https://github.com/verbose/verb) using [markdown-toc](https://github.com/jonschlinkert/markdown-toc))_

**TODO**

* [x] async
* [x] sync
* [x] promise
* n/a stream - use [glob-stream][] for streams support

## Usage

```js
var glob = require('matched');
```

**async**

```js
glob(['*.js'], function(err, files) {
  //=> ['utils.js', 'index.js']
});
```

**sync**

```js
var files = glob.sync(['*.js']);
//=> ['utils.js', 'index.js']
```

**promise**

```js
glob.promise(['*.txt'])
  .then(function(files) {
    //=> ['a.txt', 'b.txt', 'c.txt']
  });
```

**options**

All methods take options as the second argument:

```js
glob(['*.js'], {cwd: 'test'}, function(err, files) {
  //=> ['test.js']
});
```

## Release history

**v0.4.1**

* Exposes a non-enumerable `cache` property on the returned files array. This is a patch relase since the property does not change the existing API and should not otherwise effect behavior or results.

## Related projects

* [is-glob](https://www.npmjs.com/package/is-glob): Returns `true` if the given string looks like a glob pattern or an extglob pattern.… [more](https://www.npmjs.com/package/is-glob) | [homepage](https://github.com/jonschlinkert/is-glob)
* [look-up](https://www.npmjs.com/package/look-up): Faster drop-in replacement for find-up and findup-sync. | [homepage](https://github.com/jonschlinkert/look-up)
* [micromatch](https://www.npmjs.com/package/micromatch): Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch. Just… [more](https://www.npmjs.com/package/micromatch) | [homepage](https://github.com/jonschlinkert/micromatch)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/matched/issues/new).

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016 [Jon Schlinkert](https://github.com/jonschlinkert)
Released under the MIT license.

***

_This file was generated by [verb](https://github.com/verbose/verb) on January 03, 2016._